Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

remove mg, use bundler.

update to mongoid 2.0.0.rc.7
  • Loading branch information...
commit c72c979a467355ca57f8e3425472a990c8d06947 1 parent fb024b3
Arthur Chiu achiu authored
Showing with 32 additions and 40 deletions.
  1. +4 −7 Gemfile
  2. +23 −24 Gemfile.lock
  3. +2 −5 Rakefile
  4. +3 −4 riot-mongoid.gemspec
11 Gemfile
View
@@ -1,8 +1,5 @@
-source :rubygems
+source :gemcutter
+
+# Specify your gem's dependencies in terminitor.gemspec
+gemspec
-group :development do
- gem 'riot', '>=0.11.3'
- gem 'yard', '>=0.5.8'
- gem 'mongoid', '>=2.0.0.beta.17'
- gem 'mg', '>=0.0.8'
-end
47 Gemfile.lock
View
@@ -1,31 +1,32 @@
+PATH
+ remote: .
+ specs:
+ riot-mongoid (2.0.0.beta.2)
+ mongoid (~> 2.0.0.beta.rc.7)
+ riot (~> 0.12.3)
+
GEM
remote: http://rubygems.org/
specs:
- activemodel (3.0.0)
- activesupport (= 3.0.0)
+ activemodel (3.0.5)
+ activesupport (= 3.0.5)
builder (~> 2.1.2)
- i18n (~> 0.4.1)
- activesupport (3.0.0)
- bson (1.0.4)
+ i18n (~> 0.4)
+ activesupport (3.0.5)
+ bson (1.2.4)
builder (2.1.2)
- i18n (0.4.1)
- mg (0.0.8)
- rake
- mongo (1.0.7)
- bson (>= 1.0.4)
- mongoid (2.0.0.beta.17)
- activemodel (~> 3.0.0)
- bson (= 1.0.4)
- mongo (= 1.0.7)
+ i18n (0.5.0)
+ mongo (1.2.4)
+ bson (>= 1.2.4)
+ mongoid (2.0.0.rc.7)
+ activemodel (~> 3.0)
+ mongo (~> 1.2)
tzinfo (~> 0.3.22)
will_paginate (~> 3.0.pre)
- rake (0.8.7)
- riot (0.11.3)
+ riot (0.12.3)
rr
- term-ansicolor
- rr (1.0.0)
- term-ansicolor (1.0.5)
- tzinfo (0.3.23)
+ rr (1.0.2)
+ tzinfo (0.3.25)
will_paginate (3.0.pre2)
yard (0.5.8)
@@ -33,7 +34,5 @@ PLATFORMS
ruby
DEPENDENCIES
- mg (>= 0.0.8)
- mongoid (>= 2.0.0.beta.17)
- riot (>= 0.11.3)
- yard (>= 0.5.8)
+ riot-mongoid!
+ yard
7 Rakefile
View
@@ -1,8 +1,5 @@
-require 'rubygems'
-require 'rake'
-require 'mg'
-
-MG.new(File.join(File.dirname(__FILE__),"riot-mongoid.gemspec"))
+require 'bundler'
+Bundler::GemHelper.install_tasks
require 'rake/testtask'
Rake::TestTask.new(:test) do |test|
7 riot-mongoid.gemspec
View
@@ -12,9 +12,8 @@ Gem::Specification.new do |s|
s.rdoc_options = ["--charset=UTF-8"]
s.require_paths = ["lib"]
s.summary = %q{Riot assertions for Mongoid}
- s.add_development_dependency(%q<riot>, [">= 0"])
- s.add_development_dependency(%q<yard>, [">= 0"])
- s.add_runtime_dependency(%q<mongoid>, [">= 1.2.7"])
- s.add_runtime_dependency(%q<riot>, [">= 0.10.12"])
+ s.add_dependency "mongoid", "~> 2.0.0.beta.rc.7"
+ s.add_dependency "riot", "~> 0.12.3"
+ s.add_development_dependency "yard", ">= 0"
end
Please sign in to comment.
Something went wrong with that request. Please try again.